function [t y] = euler(filename)

global last;


t=0;
y=zeros(8,1);
flag = 'init';

%---initial settings---
[t,y] = feval(filename,t,y,flag);

calc_time = max(t)/(length(t)-1);
last_step = last/calc_time;

flag = '';
k=y;
real_time = t(1);

%---loop start---
for i = 1:last_step
    real_time(i+1) = i*calc_time;
    %---Euler's method---
    [dy] = feval(filename,real_time,y,flag);
    y = y+calc_time*dy;
    k = horzcat(k,y);
    feedback(real_time,y,calc_time,i);
end
    t = real_time';
    y = k';
    
end